Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81512 - /etc/X11/desktop-menus/applications.menu modification mystery
Summary: /etc/X11/desktop-menus/applications.menu modification mystery
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-menus
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-10 00:07 UTC by Michal Jaegermann
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-12 18:42:21 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2003-01-10 00:07:59 UTC
This likely is not redhat-menus problem but I have no idea what may be
really responsible.  Checks revealed that sizes and dates for
/etc/X11/desktop-menus/applications.menu are different what
'rpm -ql redhat-menus' would show.  I definitely did not modify this file
knowingly and nobody else really has an access to this installation
This would be not a problem by itself if not that detail that attempts
to run /usr/bin/desktop-create-kmenu failed with the following messages:

Failed to load /etc/X11/desktop-menus/applications.menu:
 Line 3 character 14: Element <WriteDir> is not allowed below <VFolderInfo>

After I replaced 'application.menu' file with the one from an unpacked
'redhat-menus' a directory /var/lib/menu/kde got populated.

This is the top of 'diff -u'

--- applications.menu.junked    2003-01-02 19:55:09.000000000 -0700
+++ applications.menu   2002-12-15 13:20:44.000000000 -0700
@@ -1,141 +1,173 @@
 <?xml version="1.0"?>
-<VFolderInfo>
-  <WriteDir>/root/.gnome2/vfolders/applications</WriteDir>
-  <DesktopDir>/usr/share/desktop-menu-files</DesktopDir>
+<VFolderInfo>  
+
+  <!-- where desktop files are supposed to live -->
   <MergeDir>/usr/share/applications</MergeDir>
+
+  <!-- For now, load up the legacy .desktop trees -->
   <MergeDir>/etc/X11/applnk</MergeDir>
....

It is possible that the other file comes from an updated RH 8.0 installation
but it has "Jan  2 19:55" timestamp while an update of 'redhat-menus'
was performed on "Sun 29 Dec 2002 01:51:33".  Still
/usr/bin/desktop-create-kmenu is supposed to run from rpm scripts and clearly
did not create anything in /var/lib/menu/kde while no errors showed up
in 'upgrade.log'.

Comment 1 Havoc Pennington 2003-01-10 03:52:16 UTC
Did you log on as root?

The stupid gnome-vfs vfolder code might have done this.

It needs to be banned from adding WriteDir

Comment 2 Michal Jaegermann 2003-01-11 05:18:36 UTC
> Did you log on as root?

On January 2nd?  Quite possible; root also logs from time to time. :-)

Comment 3 Havoc Pennington 2003-02-12 18:42:21 UTC
I fixed this in the vfolder code, but then I also reverted to the 8.0 vfolder 
code. So it's sort of double-fixed.


Note You need to log in before you can comment on or make changes to this bug.